<?php 
include './config/connection.php';
include './common_service/common_functions.php';

$patients = getPatients($con);

?>
<!DOCTYPE html>
<html lang="en">
<head>
 <?php include './config/site_css_links.php';?>
 <title>Patient History - Clinic's Patient Management System in PHP</title>

</head>
<body class="hold-transition sidebar-mini dark-mode layout-fixed layout-navbar-fixed">
<!-- Site wrapper -->
<div class="wrapper">
  <!-- Navbar -->

<?php include './config/header.php';
include './config/sidebar.php';?>  
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Test List</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">

      <!-- Default box -->
      <div class="card card-outline card-primary rounded-0 shadow">
        <div class="card-header">
          <h3 class="card-title">Search Patient Name</h3>

          <div class="card-tools">
            <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
              <i class="fas fa-minus"></i>
            </button>
           
          </div>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-lg-4 col-md-4 col-sm-6 col-xs-12">
              <select name="patient" id="patient" class="form-control form-control-sm rounded-0">
                <?php echo $patients;?>
              </select>
            </div>

            <div class="col-lg-1 col-md-2 col-sm-4 col-xs-12">
              <button type="button" id="search" 
              class="btn btn-primary btn-sm btn-flat btn-block">Search</button>
            </div>
            </div>

            <div class="clearfix">&nbsp;</div>
            <div class="clearfix">&nbsp;</div>

            <div class="row">
              <div class="col-md-12 table-responsive">
                <table style="width:100%" id="patient_history" class="table table-striped table-bordered">
                   
                  <thead>
                   <tr><th style="width:15%">S-No</th>
                       <th style="width:30%">Visite ID</th>
                       <th style="width:30%">Visite Date</th>
                       <th style="width:25%">Action</th></tr>
                     
                  </thead>

                  <tbody id="history_data">
                    
                  </tbody>
                </table>
              </div>
            </div>
        </div>
        <!-- /.card-body -->
        
      </div>
      <!-- /.card -->

    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

<?php include './config/footer.php' ?>  
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<?php include './config/site_js_links.php' ?>

<script>
  showMenuSelected("#mnu_patients", "#mi_patient_history");

  $(document).ready(function() {

    $("#search").click(function() {
      var patientId = $("#patient").val();

      if(patientId !== '') {

        $.ajax({
          url: "ajax/get_patient_list.php",
          type: 'GET', 
          data: {
            'patient_id': patientId
          },
          cache:false,
          async:false,
          success: function (data, status, xhr) {
              $("#history_data").html(data);
          },
          error: function (jqXhr, textStatus, errorMessage) {
            showCustomMessage(errorMessage);
          }
        });

        //alert('hello');

      }

    });


    $("#abc").click(function() {

    });

//event driven programming

  });
</script>

</body>
</html>